<HTML>
<HEAD>
<TITLE>ldap_next_attribute</TITLE>
</HEAD>
<BODY>
<?
	// connect to LDAP server 
	$ldap=ldap_connect("ldap.itd.umich.edu");
	
	if($ldap)
	{
		// list organizations in the US 
		$dn = "c=US";
		$attributes = array("o");
		$filter = "o=*";

		// perform search 
		$result = ldap_list($ldap, $dn, 
		$filter, $attributes);

		if($result)
		{
			// get all attributes for first entry 
			$entry = ldap_first_entry($ldap, $result);

        	$attribute = ldap_first_attribute($ldap,
			$entry, &$pointer);
			while($attribute)
			{
				print("$attribute<BR>\n");
				$attribute =
				ldap_next_attribute($ldap,
				$entry, &$pointer);
			}

			ldap_free_result($result);
		}
		else
		{
			print("Nothing found");
		}
	
		// close connection 
		ldap_close($ldap);
	}
	else    
	{
		echo "<B>Connection failed!</B>";
	}
?>
</BODY>
</HTML>