<HTML>
<HEAD>
<TITLE>ldap_next_entry</TITLE>
</HEAD>
<BODY>
<?
	// connect to LDAP server 
	$ldap=ldap_connect("ldap.itd.umich.edu");
	
	if($ldap)
	{
		// list organizations in the US 
		$dn = "c=US";
		$attributes = array("o");
		$filter = "o=*";

		// perform search 
		$result = ldap_list($ldap, $dn, 
		$filter, $attributes);

		if($result)
		{
			// get each entry 
			$entry = ldap_first_entry($ldap, $result);
			while($entry)
			{
				$attributes =
				ldap_get_attributes($ldap, 
				$entry);
				print($attributes["count"] .
				"Attributes<BR>\n");
				ldap_free_entry($entry);
				$entry = 
				ldap_next_entry($ldap,
				$result);
			}

			ldap_free_result($result);
		}
		else
		{
			print("Nothing found");
		}
	
		// close connection 
		ldap_close($ldap);
	}
	else    
	{
		echo "<B>Connection failed!</B>";
	}
?>
</BODY>
</HTML>