<HTML>
<HEAD>
<TITLE>ora_exec</TITLE>
</HEAD>
<BODY>
<?
   putenv("ORACLE_HOME=/usr/local/oracle7");
   putenv("ORACLE_SID=DB01");

   // connect to server 
   if($connection = ora_logon("leon", "secret"))
   {
      // open cursor 
      if($cursor = ora_open($connection))
      {
         $query = "SELECT * FROM user ";
         
         // parse query 
         if(!Ora_Parse($cursor, $query)) 
         {
            // execute query 
            if(ora_exec($cursor))
            {
               print("<TABLE");
               print(" BORDER=\"1\">\n");
   
               print("<TR>\n");
               for($index = 0;
                  $index < ora_numcols($cursor);
                  $index++)
               {
                  print("<TH>");
      
                  // get column info 
                  print(ora_columnname($cursor, $index));
                  print(": ");
                  print(ora_columntype($cursor, $index));
                  print(" (");
                  print(ora_columnsize($cursor, $index));
                  print(")");
   
                  print("</TH>\n");
               }
   
               print("</TR>\n");
                  
               //  get each row 
               while(ora_fetch($cursor)) 
               {
                  print("<TR>\n");
                     
                  for($index = 0;
                     $index < ora_numcols($cursor);
                     $index++)
                  {
                     print("<TD>");
   
                     // get column 
                     print(ora_getcolumn($cursor,
                        $index));
   
                     print("</TD>\n");
                  }
                      
                  print("</TR>\n");
   
               }               
   
               print("</TABLE>\n");
   
               print("<BR>\n");
               print("Rows: ");
               print(ora_numrows($cursor));
               print("<BR>\n");
            }
            else
            {
               print("Error Code: ");
               print(ora_errorcode($cursor));
               print("<BR>\n");
               print("Error Message: ");
               print(ora_error($cursor));
               print("<BR>\n");
            }
         }
         else
         {
            print("Error Code: ");
            print(ora_errorcode($cursor));
            print("<BR>\n");
            print("Error Message: ");
            print(ora_error($cursor));
            print("<BR>\n");
         }
                           
         // Close the Oracle cursor 
         Ora_Close($cursor);
      }
      else
      {
         print("Cursor could not be opened!<BR>\n");
      }
    
      // disconnect. 
      Ora_Logoff($connection);

   }
?>
</BODY>
</HTML>