<HTML>
<HEAD>
<TITLE>Figure 14-10</TITLE>
</HEAD>
<BODY>
<?
	/*
	** Return a random number as 
	*/
	function RandomNumber($new_seed="")
	{
		static $seed;
		$constant = bcadd(bcpow("2", "13"), "1");
		$prime = 37;
		$max_value = bcpow("2", "50", $scale);
		
		/*
		** Use new seed if given
		*/
		if($new_seed != "")
		{
			$seed = $new_seed;
		}
		
		/*
		** If no seed, use timestamp
		*/
		if($seed == "")
		{
			$seed = strval(time());
		}

		/*
		** Get next value
		*/	
		$seed = bcmul($constant, $seed);
		$seed = bcadd($seed, $prime);
		$seed = bcmod($seed, $max_value);
		
		return($seed);		
	}

	/*
	** Set BC Math function to only use integers
	*/
	bcscale(0);

	/*
	** Get 100 numbers
	*/
 	for($index = 0; $index < 100; $index++)
 	{
 		print(RandomNumber() . "<BR>\n");
 	}

?>
</BODY>
</HTML>