<HTML>
<HEAD>
<TITLE>Figure 14-8</TITLE>
</HEAD>
<BODY><?
	/*
	** Define a function for comparing
	** employees based on name 
	*/
	function byName($left, $right)
	{
		return(strcmp($left[0], $right[0]));
	}

	/*
	** Create some employees
	** Name, Title, Wage
	*/
	$employee[] = array("Smith, John", "Programmer", 20);
	$employee[] = array("Doe, Jane", "Programmer", 20);
	$employee[] = array("Mann, Joe", "Manager", 35);
	$employee[] = array("Smith, John", "CEO", 50);
	$employee[] = array("Leeds, Al", "President", 100);

	/*
	** Sort the list
	*/
	usort($employee, "byName");

	/*
	** Pick target
	*/
	$Name = "Doe, Jane";
	$lower_limit = 0;
	$upper_limit = count($employee) - 1;

	while($lower_limit < $upper_limit)
	{
		/*
		** Pick mid-point
		*/
		$index = intval(($lower_limit + $upper_limit)/2);


		if(strcmp($employee[$index][1], $Name) > 0)
		{
			/*
			** Target in upper half
			*/
			$lower_limit = $index + 1;
		}
		elseif(strcmp($employee[$index][1], $Name) < 0)
		{
			/*
			** Target in lower half
			*/
			$upper_limit = $index - 1;
		}
		else
		{
			/*
			** Target found
		*/
			$lower_limit = $index;
			$upper_limit = $index;
		}
	}

	/*
	** Print results
	*/
	print("Position $index<BR>\n");

?>
</BODY>
</HTML>