<HTML>
<HEAD>
<TITLE>ldap_get_values</TITLE>
</HEAD>
<BODY>
<?
	// connect to LDAP server 
	$ldap=ldap_connect("ldap.itd.umich.edu");
	
	if($ldap)
	{
		// set up search criteria 
		$dn = "c=US";
		$filter = "(|(sn=Atkinson)(givenname=Leon*))";
		$attributes = 
		array( "ou", "sn", "givenname", "mail");

		// perform search 
		$result = ldap_search($ldap, $dn, 
		$filter, $attributes);

		if($result)
		{
			$entry = get_first_entry($ldap, $result);
			$values = ldap_get_values($ldap, 
			$entry, "mail");

			print($values["count"] . 
			" Values:<OL>\n");

			for($index=0; 
			$index < $values["count"]; $index++)
			{
				print("<LI>$values[$index]\n");
			}

			print("</OL>\n");

			ldap_free_result($result);
		}
		else
		{
			print("Nothing found");
		}
	
		// close connection 
		ldap_close($ldap);
	}
	else    
	{
		echo "<B>Connection failed!</B>";
	}
?>
</BODY>
</HTML>