<HTML>
<HEAD>
<TITLE>ldap_search</TITLE>
</HEAD>
<BODY>
<?
	// connect to LDAP server 
	$ldap=ldap_connect("ldap.itd.umich.edu");
	
	if($ldap)
	{
		// set up search criteria 
		$dn = "o=Clear Ink, c=US";
		$filter = "(|(sn=Atkinson)(givenname=L*))";
		$attributes = 
		array( "ou", "sn", "givenname", "mail");

		// perform search 
		$result = ldap_search($ldap, $dn, 
		$filter, $attributes);

		if($result)
		{
			print(ldap_count_entries($ldap, $result));
			print(" entries.<BR>\n");

			print("DN: ");
			print(ldap_get_dn($ldap, $result));
			print("<BR>\n");

			// get entries 
			$entry = ldap_get_entries($ldap, $result);
			print($entry["count"] . 
			" entries found.<BR>\n");

			ldap_free_result($result);
		}
		else
		{
			print("Nothing found");
		}
	
		// close connection 
		ldap_close($ldap);
	}
	else    
	{
		echo "<B>Connection failed!</B>";
	}
?>
</BODY>
</HTML>