<HTML>
<HEAD>
<TITLE>ora_bind</TITLE>
</HEAD>
<BODY>
<?
	putenv("ORACLE_HOME=/usr/local/oracle7");
	putenv("ORACLE_SID=DB01");
	
	// connect to server
	$connection = ora_logon("leon", "secret");
	
	// open cursor
	$cursor = ora_open($connection);
	
	$query = "DECLARE php_in INTEGER; ";
	$query .= "BEGIN ";
	$query .= ":php_out := :php_in + 3; ";
	$query .= "END;";
	
	// parse query
	ora_parse($cursor, $query);
	
	ora_bind($curs, 
		"input", 
		":php_in", 
		11, 
		ORA_BIND_IN);
	ora_bind($curs, 
		"output", 
		":php_out", 
		11, 
		ORA_BIND_OUT);
	
	$input = 10;
	
	// execute query
	ora_exec($cursor);
	print("$output<BR>");
	   
	// Close the Oracle cursor 
	Ora_Close($cursor);
	
	// disconnect.
	Ora_Logoff($connection);
?> 
</BODY>
</HTML>